com.jnape.palatable.lambda.functions.builtin.fn1

## Class Not<A>

- java.lang.Object
- - com.jnape.palatable.lambda.functions.builtin.fn1.Not<A>

- Type Parameters:
    `A` - the input argument type
  All Implemented Interfaces:
    Fn1<Fn1<? super A,? extends Boolean>,Fn1<A,Boolean>>, Fn2<Fn1<? super A,? extends Boolean>,A,Boolean>, BiPredicate<Fn1<? super A,? extends Boolean>,A>, Applicative<Fn1<A,Boolean>,Fn1<Fn1<? super A,? extends Boolean>,?>>, Cartesian<Fn1<? super A,? extends Boolean>,Fn1<A,Boolean>,Fn1<?,?>>, Cocartesian<Fn1<? super A,? extends Boolean>,Fn1<A,Boolean>,Fn1<?,?>>, Contravariant<Fn1<? super A,? extends Boolean>,Profunctor<?,Fn1<A,Boolean>,Fn1<?,?>>>, Functor<Fn1<A,Boolean>,Fn1<Fn1<? super A,? extends Boolean>,?>>, Profunctor<Fn1<? super A,? extends Boolean>,Fn1<A,Boolean>,Fn1<?,?>>, Monad<Fn1<A,Boolean>,Fn1<Fn1<? super A,? extends Boolean>,?>>, MonadReader<Fn1<? super A,? extends Boolean>,Fn1<A,Boolean>,Fn1<Fn1<? super A,? extends Boolean>,?>>, MonadRec<Fn1<A,Boolean>,Fn1<Fn1<? super A,? extends Boolean>,?>>, MonadWriter<Fn1<? super A,? extends Boolean>,Fn1<A,Boolean>,Fn1<Fn1<? super A,? extends Boolean>,?>>

      public final class Not<A>
      extends Object
      implements BiPredicate<Fn1<? super A,? extends Boolean>,A>

  Negate a predicate function.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `checkedApply(Fn1<? super A,? extends Boolean> pred, A a)`
    `static <A> Not<A>` | `not()`
    `static <A> Predicate<A>` | `not(Fn1<? super A,? extends Boolean> pred)`
    `static <A> Boolean` | `not(Fn1<? super A,? extends Boolean> pred, A a)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.specialized.BiPredicate

      `and, apply, contraMap, diMapL, discardR, flip, fromBiPredicate, negate, or, toBiPredicate, uncurry`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `apply, checkedApply, compose, curried, curry, fn2, fromBiFunction, toBiFunction, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### checkedApply

          public Boolean checkedApply(Fn1<? super A,? extends Boolean> pred,
                                      A a)

      Specified by:
        `checkedApply` in interface `Fn2<Fn1<? super A,? extends Boolean>,A,Boolean>`

    - #### not

          public static <A> Not<A> not()

    - #### not

          public static <A> Predicate<A> not(Fn1<? super A,? extends Boolean> pred)

    - #### not

          public static <A> Boolean not(Fn1<? super A,? extends Boolean> pred,
                                        A a)